Bug 477581 - iok should avoid resizing when changing maps
iok should avoid resizing when changing maps
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: iok (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-22 01:46 EST by Jens Petersen
Modified: 2009-02-08 22:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-08 22:54:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2008-12-22 01:46:13 EST
Description of problem:
When one switching keyboard map iok tends to change size a fair bit.
It would be better if it allowed for the character size and avoided
resizing itself as far as possible.

Steps to Reproduce:
1. run iok and switch map
  
Actual results:
window resizes each time map is changed

Expected results:
window size to stay fixed.

Additional info:
I know some Lohit fonts for example are larger than others, but at least should try to avoid resizing when switching between English and Indic.
Comment 1 Parag Nemade 2009-01-15 23:08:47 EST
I will still say that font size is not same across latin as well as Indic fonts, this bug will still be exist for even any Indic map and English map. Though I tried some different approach to draw keyboard in iok-1.1.0 which is in rawhide now.
Comment 2 Parag Nemade 2009-02-08 22:54:14 EST
Closing this for now. KLindly reopen this bug if still some problem is seen in iok-1.2.0 release.

Note You need to log in before you can comment on or make changes to this bug.